diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
index 099a7b8..d4d14e0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
@@ -24,6 +24,7 @@ from pgadmin.utils.ajax import make_json_response, \
     make_response as ajax_response, internal_server_error, gone
 from pgadmin.utils.ajax import precondition_required
 from pgadmin.utils.driver import get_driver
+from pgadmin.utils.preferences import Preferences
 
 from config import PG_DEFAULT_DRIVER
 
@@ -92,6 +93,23 @@ class EdbFuncModule(CollectionNodeModule):
         """
         return False
 
+    def register_preferences(self):
+        """
+        Register preferences for this module.
+        """
+        # Add the node informaton for browser, not in respective
+        # node preferences
+        self.browser_preference = Preferences.module('browser')
+        self.pref_show_system_objects = self.browser_preference.preference(
+            'show_system_objects'
+        )
+        self.pref_show_node = self.browser_preference.register(
+            'node', 'show_node_' + self.node_type,
+            gettext('Package {0}').format(self.label), 'boolean',
+            self.SHOW_ON_BROWSER, category_label=gettext('Nodes')
+        )
+
+
 blueprint = EdbFuncModule(__name__)
 
 
@@ -656,6 +674,21 @@ class EdbProcModule(CollectionNodeModule):
         """
         return packages.PackageModule.NODE_TYPE
 
+    def register_preferences(self):
+        """
+        Register preferences for this module.
+        """
+        # Add the node informaton for browser, not in respective
+        # node preferences
+        self.browser_preference = Preferences.module('browser')
+        self.pref_show_system_objects = self.browser_preference.preference(
+            'show_system_objects'
+        )
+        self.pref_show_node = self.browser_preference.register(
+            'node', 'show_node_' + self.node_type,
+            gettext('Package {0}').format(self.label), 'boolean',
+            self.SHOW_ON_BROWSER, category_label=gettext('Nodes')
+        )
 
 procedure_blueprint = EdbProcModule(__name__)
 
